<?php
/**
 *
 * @author	ahrasis http://support.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon		SPB: Smart PostBit
 *
 */

if (!defined('ELK'))
	die('No access...');

function SPB_Main()
{
	global $modSettings, $options;

	// Do some css magics
	if (!empty($modSettings['spb_enable']) && empty($options['hide_poster_area']))
		loadCSSFile('SPB/SPB.styles.css');
}

function SPB_Settings(&$config_vars)
{
	// Add language
	loadLanguage('SPB/SPB');

	// Add setting
	$spb = array(
			array('check', 'spb_enable'),
			'',
	);

	// Insert after all available slice
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $spb);
}
?>